「威胁通告」Weblogic远程代码执行漏洞(CVE-2020-14625、CVE-2020-14644、CVE-2020-14645、CVE-2020-14687)

综述

北京时间2020年7月15日,Oracle发布2020年7月关键补丁更新(Critical Patch Update,简称CPU),此次更新共修复了443个危害程度不同的安全漏洞。 

其中针对 WebLogic Server Core组件,且评分为9.8的严重漏洞共有4个,分别是CVE-2020-14625、CVE-2020-14644、CVE-2020-14645、CVE-2020-14687。

它们均和T3、IIOP 协议相关,允许未经身份验证的攻击者通过网络实现远程代码执行。

T3、IIOP 协议用于在 WebLogic 和其他 Java 程序之间传输数据。Weblogic控制台开启的情况下默认开启 T3 协议,而Weblogic默认安装会自动开启控制台。IIOP 协议以 Java 接口的形式对远程对象进行访问,默认是在启用状态。

参考链接:

https://www.oracle.com/security-alerts/cpujul2020.html

受影响产品版本

  • CVE-2020-14625

Oracle WebLogic Server 12.2.1.3.0, 12.2.1.4.0, 14.1.1.0.0

  • CVE-2020-14644

Oracle WebLogic Server 12.2.1.3.0, 12.2.1.4.0, 14.1.1.0.0

  • CVE-2020-14645

Oracle WebLogic Server 10.3.6.0.0, 12.1.3.0.0, 12.2.1.3.0, 12.2.1.4.0, 14.1.1.0.0

  • CVE-2020-14687

Oracle WebLogic Server 12.2.1.3.0, 12.2.1.4.0, 14.1.1.0.0

解决方案

Oracle已经发布补丁修复了上述漏洞,请用户参考官方通告及时下载受影响产品更新补丁,并参照补丁安装包中的readme文件进行安装更新,以保证长期有效的防护。

注:Oracle官方补丁需要用户持有正版软件的许可账号,使用该账号登陆https://support.oracle.com后,可以下载最新补丁。

缓解措施:

若用户暂时不能安装最新补丁,可通过禁用T3、IIOP 协议,对漏洞进行临时缓解。

官方通告:

https://www.oracle.com/security-alerts/cpujul2020.html

Spread the word. Share this post!

Meet The Author

Leave Comment